---
apiVersion: discovery.k8s.io/v1
items:
- addressType: IPv4
  apiVersion: discovery.k8s.io/v1
  endpoints:
  - addresses:
    - 10.128.0.59
    conditions:
      ready: true
      serving: true
      terminating: false
    nodeName: cnvqe-071.lab.eng.tlv2.redhat.com
    targetRef:
      kind: Pod
      name: ingress-canary-n768z
      namespace: openshift-ingress-canary
      uid: bf88afc5-ade1-4a7e-9ef8-484af4ab975e
  - addresses:
    - 10.130.0.16
    conditions:
      ready: true
      serving: true
      terminating: false
    nodeName: cnvqe-070.lab.eng.tlv2.redhat.com
    targetRef:
      kind: Pod
      name: ingress-canary-sc5f6
      namespace: openshift-ingress-canary
      uid: 5d3457ef-c705-457a-9973-273884cca8fe
  - addresses:
    - 10.129.0.68
    conditions:
      ready: true
      serving: true
      terminating: false
    nodeName: cnvqe-072.lab.eng.tlv2.redhat.com
    targetRef:
      kind: Pod
      name: ingress-canary-qjslj
      namespace: openshift-ingress-canary
      uid: 90323e5a-b123-4407-bf14-0491eaa1b63c
  kind: EndpointSlice
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2025-10-27T12:37:48Z"
    creationTimestamp: "2025-10-27T11:38:57Z"
    generateName: ingress-canary-
    generation: 13
    labels:
      endpointslice.kubernetes.io/managed-by: endpointslice-controller.k8s.io
      ingress.openshift.io/canary: canary_controller
      kubernetes.io/service-name: ingress-canary
    managedFields:
    - apiVersion: discovery.k8s.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:addressType: {}
        f:endpoints: {}
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:generateName: {}
          f:labels:
            .: {}
            f:endpointslice.kubernetes.io/managed-by: {}
            f:ingress.openshift.io/canary: {}
            f:kubernetes.io/service-name: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"941b7edb-2ba4-4608-8065-c5738c5c10cd"}: {}
        f:ports: {}
      manager: kube-controller-manager
      operation: Update
      time: "2025-10-27T12:37:48Z"
    name: ingress-canary-pkgqh
    namespace: openshift-ingress-canary
    ownerReferences:
    - apiVersion: v1
      blockOwnerDeletion: true
      controller: true
      kind: Service
      name: ingress-canary
      uid: 941b7edb-2ba4-4608-8065-c5738c5c10cd
    resourceVersion: "49227"
    uid: 97bc6bdd-8a81-4af6-b09d-2c7bc6797744
  ports:
  - name: 8443-tcp
    port: 8443
    protocol: TCP
  - name: 8888-tcp
    port: 8888
    protocol: TCP
kind: EndpointSliceList
metadata:
  resourceVersion: "2219784"
